package algoritmos;

import java.util.ArrayList;
import java.util.List;



public class Crivo {
private double numero;
private List<Double> impares;


public Crivo(int numero){
	this.numero= numero;
	this.impares = new ArrayList<Double>((numero - 1)/2);
}

public void iniciaLista(){
	
	for (int i = 0; i < impares.size(); i++) {
	impares.set(i,1.0);	
		
}
}
public void crivar(){
	for (double i = 0; i < impares.size(); i++) {
		for (int j = 0; j < impares.size(); j++) {
			if(impares.get(j)%i==0){
				System.out.print(impares.get(j)+",");
			}
		}
		System.out.println();
	}
}
}
